## Prediction Explanations

The listing conforms the taxonomy introduced in this [[survey paper]](https://arxiv.org/abs/2012.15445).

### Perturbation Based Methods

- **Model agnostic generation of counterfactual explanations for molecules (ChemRxiv 2021)**
  - Geemi P Wellawatte, Aditi Seshadri , Andrew D White
  - [[Paper]](https://chemrxiv.org/engage/chemrxiv/article-details/6115baf04cb4797dc42df605)
  - [[Reference Code]](https://github.com/ur-whitelab/exmol)

- **Generative Causal Explanations for Graph Neural Networks (ICML 2021)**
  - Wanyu Lin, Hao Lan, Baochun Li
  - [[Paper]](https://arxiv.org/abs/2104.06643)
  - [[Reference Code]](https://github.com/wanyu-lin/ICML2021-Gem)

- **CF-GNNExplainer: Counterfactual Explanations for Graph Neural Networks (Arxiv 2021)**
  - Ana Lucic, Maartje ter Hoeve, Gabriele Tolomei, Maarten de Rijke, Fabrizio Silvestri
  - [[Paper]](https://arxiv.org/abs/2102.03322)
  - [[Reference Code]](https://github.com/a-lucic/cf-gnnexplainer)

- **On Explainability of Graph Neural Networks via Subgraph Explorations (ICML 2021)**
  - Hao Yuan, Haiyang Yu, Jie Wang, Kang Li, Shuiwang Ji
  - [[Paper]](https://arxiv.org/abs/2102.05152)
  - [[Reference Code]](https://github.com/divelab/DIG)

- **Interpreting Graph Neural Networks for NLP With Differentiable Edge Masking (ICLR 2021)**
  - Michael Sejr Schlichtkrull, Nicola De Cao, Ivan Titov
  - [[Paper]](https://openreview.net/forum?id=WznmQa42ZAx)
  - [[Reference Code]](https://github.com/MichSchli/GraphMask)

- **Explain Graph Neural Networks to Understand Weighted Graph Features in Node Classification (CD-MAKE 2020)**
  - Xiaoxiao Li, Joao Saude
  - [[Paper]](https://arxiv.org/abs/2002.00514)

- **Contrastive Graph Neural Network Explanation (ICML 2020)**
  - Lukas Faber, Amin K. Moghaddam, Roger Wattenhofer
  - [[Paper]](https://arxiv.org/abs/2010.13663)
  - [[Reference Code]](https://github.com/lukasjf/contrastive-gnn-explanation)

- **Hard Masking for Explaining Graph Neural Networks (OpenReview 2020)**
  - Thorben Funke, Megha Khosla, Avishek Anand
  - [[Paper]](https://openreview.net/pdf?id=uDN8pRAdsoC)

- **Graph Neural Networks Including Sparse Interpretability (Arxiv 2020)**
  - Chris Lin, Gerald J. Sun, Krishna C. Bulusu, Jonathan R. Dry, Marylens Hernandez
  - [[Paper]](https://arxiv.org/abs/2007.00119)

- **Causal Screening to Interpret Graph Neural Networks (OpenReview 2020)**
  - Xiang Wang, Yingxin Wu, An Zhang, Xiangnan He, Tat-seng Chua
  - [[Paper]](https://openreview.net/forum?id=nzKv5vxZfge)

- **XGNN: Towards Model-Level Explanations of Graph Neural Networks (KDD 2020)**
  - Hao Yuan, Jiliang Tang, Xia Hu, Shuiwang Ji
  - [[Paper]](https://arxiv.org/abs/2006.02587)
  - [[Code]](https://github.com/rkoh-rq/XGNN)

- **Parameterized Explainer for Graph Neural Network (NeurIPS 2020)**
  - Dongsheng Luo, Wei Cheng, Dongkuan Xu, Wenchao Yu, Bo Zong, Haifeng Chen, Xiang Zhang
  - [[Paper]](https://arxiv.org/abs/2011.04573)
  - [[Reference Code]](https://github.com/flyingdoog/PGExplainer)
  - [[Code]](https://github.com/LarsHoldijk/RE-ParameterizedExplainerForGraphNeuralNetworks)
  - [[Code]](https://openreview.net/attachment?id=tt04glo-VrT&name=supplementary_material)

- **GNNExplainer: Generating Explanations for Graph Neural Networks (NeurIPS 2019)**
  - Rex Ying, Dylan Bourgeois, Jiaxuan You, Marinka Zitnik, Jure Leskovec
  - [[Paper]](https://arxiv.org/abs/1903.03894)
  - [[Reference Code]](https://github.com/RexYing/gnn-model-explainer)

### Surrogate Model Based Methods

- **GraphSVX: Shapley Value Explanations for Graph Neural Networks (CORR 2021)**
  - Alexandre Duval, Fragkiskos D. Malliaros
  - [[Paper]](https://arxiv.org/abs/2104.10482)
  - [[Reference Code]](https://github.com/AlexDuvalinho/GraphSVX)

- **GraphLIME:Local Interpretable Model Explanations for Graph Neural Networks (CORR 2020)**
  - Qiang Huang, Makoto Yamada, Yuan Tian, Dinesh Singh, Dawei Yin, Yi Chang
  - [[Paper]](https://arxiv.org/pdf/2001.06216.pdf)
  - [[Reference Code]](https://github.com/WilliamCCHuang/GraphLIME)

- **RelEX: A Model-Agnostic Relational Model Explainer (CORR 2020)**
  - Yue Zhang, David Defazio, Arti Ramesh
  - [[Paper]](https://arxiv.org/abs/2006.00305)

- **PGM-Explainer: Probabilistic Graphical Model Explanations for Graph Neural Networkrk (CORR 2020)**
  - Minh N. Vu, My T. Thai
  - [[Paper]](https://arxiv.org/pdf/2010.05788.pdf)

### Decomposition and Gradient Integration Based Methods

- **Explainability Techniques for Graph Convolutional Networks (ICML 2019)**
  - Federico Baldassarre, Hossein Azizpour
  - [[Paper]](https://arxiv.org/abs/1905.13686)
  - [[Code]](https://github.com/baldassarreFe/graph-network-explainability)

- **Layerwise Relevance Visualization in Convolutional Text Graph Classifiers (WS 2019)**
  - Robert Schwarzenberg, Marc Hübner, David Harbecke, Christoph Alt, Leonhard Hennig
  - [[Paper]](https://arxiv.org/abs/1909.10911v1)
  - [[Code]](https://github.com/DFKI-NLP/lrv)

- **Higher-Order Explanations of Graph Neural Networks via Relevant Walks (Arxiv 2020)**
  - Thomas Schnake, Oliver Eberle, Jonas Lederer, Shinichi Nakajima, Kristof T. Schütt, Klaus-Robert Müller, Grégoire Montavon
  - [[Paper]](https://arxiv.org/abs/2006.03589)

- **GCN-LRP Explanation: Exploring Latent Attention of Graph Convolutional Networks (IJCNN 2020)**
  - Jinlong Hu, Tenghui Li, Shoubin Dong
  - [[Paper]](https://ieeexplore.ieee.org/document/9207639)
  - [[Code]](https://github.com/largeapp/gcn-lrp)

- **Explainability Methods for Graph Convolutional Neural Networks (CVPR 2019)**
  - Phillip E. Pope, Soheil Kolouri, Mohammad Rostami, Charles E. Martin, Heiko Hoffmann
  - [[Paper]](https://openaccess.thecvf.com/content_CVPR_2019/html/Pope_Explainability_Methods_for_Graph_Convolutional_Neural_Networks_CVPR_2019_paper.html)
  - [[Code]](https://github.com/ndey96/GCNN-Explainability)

### Concept Based Methods

- **GCExplainer: Human-in-the-Loop Concept-based Explanations for Graph Neural Networks (ICML Workshop 2021)**
  - Lucie Charlotte Magister, Dmitry Kazhdan, Vikash Singh, Pietro Liò
  - [[Paper]](https://arxiv.org/abs/2107.11889)
  - [[Code]](https://github.com/CharlotteMagister/GCExplainer)