
### Explainable Reasoning

- **Explainable Biomedical Recommendations via Reinforcement Learning Reasoning on Knowledge Graphs (Arxiv 2021)**
  - Gavin Edwards, Sebastian Nilsson, Benedek Rozemberczki, Eliseo Papa
  - [[Paper]](https://arxiv.org/abs/2111.10625)
  
- **Complex Query Answering with Neural Link Predictors (ICLR 2021, Outstanding Paper Award)**
  - Erik Arakelyan, Daniel Daza, Pasquale Minervini, Michael Cochez
  - [[Paper]](https://arxiv.org/abs/2011.03459)
  - [[Code]](https://github.com/uclnlp/cqd)

- **CogKR: Cognitive Graph for Multi-hop Knowledge Reasoning (TKDE 2021)**
  - Zhengxiao Du, Chang Zhou, Jiangchao Yao, Teng Tu, Letian Cheng, Hongxia Yang, Jingren Zhou, Jie Tang
  - [[Paper]](https://ieeexplore.ieee.org/document/9512424)
  - [[Code]](https://github.com/THUDM/CogKR)

- **Is Multi-Hop Reasoning Really Explainable? Towards Benchmarking Reasoning Interpretability (Arxiv 2021)**
  - Xin Lv, Yixin Cao, Lei Hou, Juanzi Li, Zhiyuan Liu, Yichi Zhang, Zelin Dai
  - [[Paper]](https://arxiv.org/abs/2104.06751)
  - [[Code]](https://github.com/THU-KEG/BIMR)

- **Neural Multi-Hop Reasoning With Logical Rules on Biomedical Knowledge Graphs (ESWC 2021)**
  - Yushan Liu, Marcel Hildebrandt, Mitchell Joblin, Martin Ringsquandl, Rime Raissouni, Volker Tresp
  - [[Paper]](https://openreview.net/forum?id=ncLDBiIv2n)
  - [[Code]](https://github.com/liu-yushan/PoLo)

- **Learning Reasoning Strategies in End-to-End Differentiable Proving (ICML 2020)**
  - Pasquale Minervini, Sebastian Riedel, Pontus Stenetorp, Edward Grefenstette, Tim Rocktäschel
  - [[Paper]](https://arxiv.org/abs/2007.06477)
  - [[Code]](https://github.com/uclnlp/ctp)

- **Leveraging Demonstrations for Reinforcement Recommendation Reasoning over Knowledge Graphs (SIGIR 2020)** 
  - Kangzhi Zhao Xiting Wang Yuren Zhang Li Zhao Zheng Liu Chunxiao Xing Xing Xie
  - [[Paper]](https://www.microsoft.com/en-us/research/publication/leveraging-demonstrations-for-reinforcement-recommendation-reasoning-over-knowledge-graphs/)

- **Neural Symbolic Reasoning on Knowledge Graph: RuleGuider (EMNLP 2020)**
  - Deren Lei, Gangrong Jiang, Xiaotao Gu, Kexuan Sun, Yuning Mao, Xiang Ren
  - [[Paper]](https://arxiv.org/abs/2005.00571)
  - [[Code]](https://github.com/derenlei/KG-RuleGuider)

- **Differentiable Reasoning on Large Knowledge Bases and Natural Language (AAAI 2020, Oral)**
  - Pasquale Minervini, Matko Bosnjak, Tim Rocktäschel, Sebastian Riedel, Edward Grefenstette
  - [[Paper]](https://arxiv.org/abs/1912.10824)
  - [[Code]](https://github.com/uclnlp/gntp)

- **Reinforcement Knowledge Graph Reasoning for Explainable Recommendation (SIGIR 2019)**
  - Yikun Xian, Zuohui Fu, S. Muthukrishnan, Gerard de Melo, Yongfeng Zhang
  - [[Paper]](https://arxiv.org/abs/1906.05237)
  - [[Code]](https://github.com/orcax/PGPR)

- **M-Walk: Learning to Walk over Graphs using Monte Carlo Tree Search (NeurIPS 2018)**
  - Yelong Shen, Jianshu Chen, Po-Sen Huang, Yuqing Guo, Jianfeng Gao
  - [[Paper]](https://proceedings.neurips.cc/paper/2018/hash/c6f798b844366ccd65d99bc7f31e0e02-Abstract.html)

- **Go for a Walk and Arrive at the Answer - Reasoning over Paths in Knowledge Bases using Reinforcement Learning (ICLR 2018)**
  - Rajarshi Das, Shehzaad Dhuliawala, Manzil Zaheer, Luke Vilnis, Ishan Durugkar, Akshay Krishnamurthy, Alex Smola, Andrew McCallum
  - [[Paper]](https://arxiv.org/abs/1711.05851)
  - [[Code]](https://github.com/shehzaadzd/MINERVA)

- **DeepPath: A Reinforcement Learning Method for Knowledge Graph Reasoning (EMNLP 2017)**
  - Wenhan Xiong, Thien Hoang, William Yang Wang
  - [[Paper]](https://arxiv.org/abs/1707.06690)
  - [[Code]](https://github.com/xwhan/DeepPath)
